Package org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated

## Class N3ParserBenchmark_jmhType

- java.lang.Object
- - org.eclipse.rdf4j.benchmark.rio.ParserBenchmark
  - - org.eclipse.rdf4j.benchmark.rio.impl.N3ParserBenchmark
    - - org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated.N3ParserBenchmark_jmhType_B1
      - - org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated.N3ParserBenchmark_jmhType_B2
        - - org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated.N3ParserBenchmark_jmhType_B3
          - - org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated.N3ParserBenchmark_jmhType

-     public class N3ParserBenchmark_jmhType
      extends N3ParserBenchmark_jmhType_B3

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated.N3ParserBenchmark_jmhType_B2

      `readyInvocation, readyIteration, readyTrial, setupInvocationMutex, setupInvocationMutexUpdater, setupIterationMutex, setupIterationMutexUpdater, setupTrialMutex, setupTrialMutexUpdater, tearInvocationMutex, tearInvocationMutexUpdater, tearIterationMutex, tearIterationMutexUpdater, tearTrialMutex, tearTrialMutexUpdater`

    - ### Fields inherited from class org.eclipse.rdf4j.benchmark.rio.ParserBenchmark

      `MAX_STRING_LENGTH, MIN_STRING_LENGTH, PERCENT_BNODE, PERCENT_LITERALS, TEXT_ONLY, TOTAL_STATEMENTS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `N3ParserBenchmark_jmhType()` |

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.benchmark.rio.impl.N3ParserBenchmark

      `getParser, main`

    - ### Methods inherited from class org.eclipse.rdf4j.benchmark.rio.ParserBenchmark

      `parseBufferedReader, parseStream, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### N3ParserBenchmark_jmhType

          public N3ParserBenchmark_jmhType()